Subject: Re: [PATCH] ci: unset GITLAB_FEATURES envvar to not bust xargs(1) limits

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 3 Mar 2026 07:15:59 +0100

On Mon, Mar 02, 2026 at 11:11:52AM -0600, Justin Tobler wrote:
> On 26/03/02 12:55PM, Patrick Steinhardt wrote:
[snip]
> > The GITLAB_FEATURES environment variable makes up for roughly a third of
> > the complete environment. This variable is a comma-separated list of
> > features available for the GitLab instance, and seemingly it has been
> > growing over time as GitLab added more and more features.
> > 
> > Fix the issue by unsetting the environment variable in "ci/lib.sh". This
> > ensures that the environment variables are now smaller than the upper
> > limit on argument length again, and that in turn fixes the assert in
> > xargs(1).
> 
> So if we unset GITLAB_FEATURES, that puts us at 10987 bytes (17373 -
> 6386) which would be under the upper limit. Unsetting this environment
> variable seems like a reasonable means to mitigate this problem. Naive
> question: is the upper limit something we could increase for the
> environment?

Unfortunately not. Under normal Linux systems you'd be able to do that,
but in MSYS2 the limits are hardcoded as far as I could see.

Thanks!

Patrick